diff --git a/pgadmin/dd/dditems/handles/ddSouthTableSizeHandle.cpp b/pgadmin/dd/dditems/handles/ddSouthTableSizeHandle.cpp
index d7c1edd..847b9f2 100644
--- a/pgadmin/dd/dditems/handles/ddSouthTableSizeHandle.cpp
+++ b/pgadmin/dd/dditems/handles/ddSouthTableSizeHandle.cpp
@@ -59,7 +59,7 @@ void ddSouthTableSizeHandle::invokeStep(hdMouseEvent &event, hdDrawingView *view
 {
 	int y = event.GetPosition().y;
 	ddTableFigure *table = (ddTableFigure *) getOwner();
-	wxFont font = hdFontAttribute::defaultFont;
+	wxFont font = *hdFontAttribute::defaultFont;
 	int colOffset = table->getColDefaultHeight(font);
 
 	int divBy = (table->getTotalColumns() - table->getColumnsWindow());
diff --git a/pgadmin/hotdraw/figures/defaultAttributes/hdFontAttribute.cpp b/pgadmin/hotdraw/figures/defaultAttributes/hdFontAttribute.cpp
index 6853d80..c10c205 100644
--- a/pgadmin/hotdraw/figures/defaultAttributes/hdFontAttribute.cpp
+++ b/pgadmin/hotdraw/figures/defaultAttributes/hdFontAttribute.cpp
@@ -21,12 +21,12 @@
 #include "hotdraw/figures/defaultAttributes/hdFontAttribute.h"
 #include "hotdraw/figures/hdAttribute.h"
 
-wxFont hdFontAttribute::defaultFont = wxFont(10, wxSWISS, wxNORMAL, wxNORMAL);
+wxFont* hdFontAttribute::defaultFont = NULL;
 
 hdFontAttribute::hdFontAttribute():
 	hdAttribute()
 {
-	fontAttributes = defaultFont;
+	fontAttributes = *defaultFont;
 }
 
 void hdFontAttribute::apply(wxBufferedDC &context)
@@ -42,4 +42,9 @@ void hdFontAttribute::callDefaultChangeDialog(wxWindow *owner)
 wxFont &hdFontAttribute::font()
 {
 	return fontAttributes;
-}
\ No newline at end of file
+}
+
+void hdFontAttribute::InitFont()
+{
+	defaultFont = new wxFont(10, wxSWISS, wxNORMAL, wxNORMAL);
+}
diff --git a/pgadmin/hotdraw/figures/hdSimpleTextFigure.cpp b/pgadmin/hotdraw/figures/hdSimpleTextFigure.cpp
index 979a763..191ba4b 100644
--- a/pgadmin/hotdraw/figures/hdSimpleTextFigure.cpp
+++ b/pgadmin/hotdraw/figures/hdSimpleTextFigure.cpp
@@ -27,7 +27,7 @@
 hdSimpleTextFigure::hdSimpleTextFigure(wxString textString)
 {
 	textEditable = false;
-	font = hdFontAttribute::defaultFont;
+	font = *hdFontAttribute::defaultFont;
 	padding = 2;
 	setText(textString);
 	showMenu = false;
diff --git a/pgadmin/hotdraw/main/hdDrawingEditor.cpp b/pgadmin/hotdraw/main/hdDrawingEditor.cpp
index 0eceb7d..a38ffd9 100644
--- a/pgadmin/hotdraw/main/hdDrawingEditor.cpp
+++ b/pgadmin/hotdraw/main/hdDrawingEditor.cpp
@@ -287,7 +287,7 @@ void hdDrawingEditor::remOrDelSelFigures(int diagramIndex)
 
 void hdDrawingEditor::changeDefaultFiguresFont()
 {
-	hdFontAttribute::defaultFont = wxGetFontFromUser(editorOwner, hdFontAttribute::defaultFont, wxT("Select a default font for figures..."));
+	*hdFontAttribute::defaultFont = wxGetFontFromUser(editorOwner, *hdFontAttribute::defaultFont, wxT("Select a default font for figures..."));
 }
 
 bool hdDrawingEditor::modelHasChanged()
diff --git a/pgadmin/hotdraw/main/hdDrawingView.cpp b/pgadmin/hotdraw/main/hdDrawingView.cpp
index ce5dd94..c72edba 100644
--- a/pgadmin/hotdraw/main/hdDrawingView.cpp
+++ b/pgadmin/hotdraw/main/hdDrawingView.cpp
@@ -339,7 +339,7 @@ void hdDrawingView::simpleTextToolChangeHandler(wxCommandEvent &event)
 		//getFontMetrics
 		int width, height;
 		wxWindowDC dc(this);
-		dc.SetFont(hdFontAttribute::defaultFont);
+		dc.SetFont(*hdFontAttribute::defaultFont);
 		if(simpleTextFigure->getText(true).length() > 5)
 			dc.GetTextExtent(simpleTextFigure->getText(true), &width, &height);
 		else
@@ -470,4 +470,4 @@ void hdDrawingView::OnGenericViewPopupClick(wxCommandEvent &event)
 void hdDrawingView::notifyChanged()
 {
 	drawingEditor->notifyChanged();
-}
\ No newline at end of file
+}
diff --git a/pgadmin/include/hotdraw/figures/defaultAttributes/hdFontAttribute.h b/pgadmin/include/hotdraw/figures/defaultAttributes/hdFontAttribute.h
index 74c982b..1bfee5c 100644
--- a/pgadmin/include/hotdraw/figures/defaultAttributes/hdFontAttribute.h
+++ b/pgadmin/include/hotdraw/figures/defaultAttributes/hdFontAttribute.h
@@ -21,7 +21,8 @@ public:
 	virtual void callDefaultChangeDialog(wxWindow *owner = NULL);
 	virtual void apply(wxBufferedDC &context);
 	wxFont &font();
-	static wxFont defaultFont;
+	static wxFont* defaultFont;
+	static void InitFont();
 protected:
 	wxFont fontAttributes;
 };
diff --git a/pgadmin/pgAdmin3.cpp b/pgadmin/pgAdmin3.cpp
index ee222b6..0ae46a9 100644
--- a/pgadmin/pgAdmin3.cpp
+++ b/pgadmin/pgAdmin3.cpp
@@ -229,6 +229,8 @@ bool pgAdmin3::OnInit()
 		locale->AddCatalog(wxT("pgadmin3"));
 	}
 
+	//Initialize Font
+	hdFontAttribute::InitFont();
 
 	long langCount = 0;
 	const wxLanguageInfo *langInfo;
